Installation auf MAC

geschrieben von T.Giefer 
Willkommen! Anmelden Ein neues Profil erzeugen Suche
Installation auf MAC
03. Februar 2019 16:48
Neuinstallation!
Programm startet nicht, folgende Fehlermeldung:

An error has occurred:

See the log file
/Applications/Fakturama2.app/Contents/Eclipse/configuration/1549204153119.log

MacOS Version 10.11.6 El Capitan / Java 8 ist installiert
Re: Installation auf MAC
03. Februar 2019 19:29
Re: Installation auf MAC
04. Februar 2019 18:06
Hi,
danke für den schnellen Link.
Die Fakturama.ini befindet sich an anderer Stelle. Ich denke der workaround bezieht sich auf die frühere Faktura Version.
Die Änderung der ini - Datei bringt leider nichts. Nur die Fehlermeldung verändert sich.
Es scheint wohl an Java zu liegen. Hier das log file.

!SESSION Mon Feb 04 18:00:32 CET 2019 ------------------------------------------
!ENTRY org.eclipse.equinox.launcher 4 0 2019-02-04 18:00:32.146
!MESSAGE Exception launching the Eclipse Platform:
!STACK
java.lang.UnsupportedClassVersionError: org/eclipse/core/runtime/adaptor/EclipseStarter : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:650)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:590)
at org.eclipse.equinox.launcher.Main.run(Main.java:1499)

Vielen Dank. Ich werde wohl nicht mehr dran arbeiten. Vielleicht gibt es irgendwann eine Funktionierende Mac-Version.
Re: Installation auf MAC
04. Februar 2019 19:25
Moin

Fakturama 2.0.3 läuft auf einem MAC mit Version 10.13.6 und Java 8!



#Im Terminal:
/usr/libexec/java-home -version

#Ausgabe:
/Library/Java/Java/VirtualMachines/jdk1.8.0_101.jdk/Contents/Home
Re: Installation auf MAC
06. Februar 2019 13:09
Hallo,

habe das gleiche Problem. Nach Starten von Fakturama auf meinem Mac (OS Mojave 10.14.3, Java 8) erscheint das:

An error has occurred
See the logfile /Applications/Fakturama2.app/Contents/Eclipse/configuration/1549454325016

Was ist zu tun? Habe schon die neueste Java-Version installiert und den Workaround (siehe oben) ausprobiert. Hilft alles nichts. Für Tipps wäre ich dankbar.

Beste Grüße
Murphy
Re: Installation auf MAC
06. Februar 2019 13:24
Moin,

falls es an der Java-Installation liegt:

eine Terminal aufrufen und dort den Befehl

/usr/libexec/java-home -version

ausführen.

Die Ausgabe müßte dann zeigen , ob trotz Installation von Java 8 vielleicht dennoch auf einer alten Java Version verwiesen wird.

mfg
Gregor
In diesem Forum dürfen leider nur registrierte Teilnehmer schreiben.

Klicke hier, um Dich einzuloggen